## AgsFxEq10Channel

AgsFxEq10Channel — fx eq10 channel

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_FX_EQ10_CHANNEL_INPUT_DATA()
#define | AGS_FX_EQ10_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()
AgsFxEq10ChannelInputData * | ags_fx_eq10_channel_input_data_alloc ()
void | ags_fx_eq10_channel_input_data_free ()
AgsFxEq10Channel * | ags_fx_eq10_channel_new ()

## Properties

AgsPort * | peak-112hz | Read / Write
AgsPort * | peak-14336hz | Read / Write
AgsPort * | peak-1792hz | Read / Write
AgsPort * | peak-224hz | Read / Write
AgsPort * | peak-28hz | Read / Write
AgsPort * | peak-3584hz | Read / Write
AgsPort * | peak-448hz | Read / Write
AgsPort * | peak-56hz | Read / Write
AgsPort * | peak-7168hz | Read / Write
AgsPort * | peak-896hz | Read / Write
AgsPort * | pressure | Read / Write

## Types and Values

#define | AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE
struct | AgsFxEq10ChannelInputData

## Object Hierarchy

        GObject
        ╰── AgsRecall
            ╰── AgsRecallChannel
                ╰── AgsFxEq10Channel

## Includes

    #include <ags/audio/fx/ags_fx_eq10_channel.h>

## Description

The AgsFxEq10Channel class provides ports to the effect processor.

## Functions

### AGS_FX_EQ10_CHANNEL_INPUT_DATA()

    #define AGS_FX_EQ10_CHANNEL_INPUT_DATA(ptr) ((AgsFxEq10ChannelInputData *)(ptr))

### AGS_FX_EQ10_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX()

    #define AGS_FX_EQ10_CHANNEL_INPUT_DATA_GET_STRCT_MUTEX(ptr) (&(((AgsFxEq10ChannelInputData *)(ptr))->strct_mutex))

### ags_fx_eq10_channel_input_data_alloc ()

    AgsFxEq10ChannelInputData *
    ags_fx_eq10_channel_input_data_alloc ();

Allocate AgsFxEq10ChannelInputData

#### Returns

the new AgsFxEq10ChannelInputData.

[type gpointer][transfer full]

Since: 3.3.0

### ags_fx_eq10_channel_input_data_free ()

    void
    ags_fx_eq10_channel_input_data_free (AgsFxEq10ChannelInputData *input_data);

Free `input_data` .

#### Parameters

input_data | the AgsFxEq10ChannelInputData. | [type gpointer][transfer full]

Since: 3.3.0

### ags_fx_eq10_channel_new ()

    AgsFxEq10Channel *
    ags_fx_eq10_channel_new (AgsChannel *channel);

Create a new instance of AgsFxEq10Channel

#### Parameters

channel | the AgsChannel |

#### Returns

the new AgsFxEq10Channel

Since: 3.3.0

## Types and Values

### AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE

    #define AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE (8)

### struct AgsFxEq10ChannelInputData

    struct AgsFxEq10ChannelInputData {
      GRecMutex strct_mutex;

      gpointer parent;

      gdouble cache_28hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_56hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_112hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_224hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_448hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_896hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_1792hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_3584hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_7168hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];
      gdouble cache_14336hz[AGS_FX_EQ10_CHANNEL_INPUT_DATA_CACHE_SIZE];

      gdouble *output;
      gdouble *input;
    };

## Property Details

### The `“peak-112hz”` property

      “peak-112hz”               AgsPort *

The peak 112Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-14336hz”` property

      “peak-14336hz”             AgsPort *

The peak 14336Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-1792hz”` property

      “peak-1792hz”              AgsPort *

The peak 1792Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-224hz”` property

      “peak-224hz”               AgsPort *

The peak 224Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-28hz”` property

      “peak-28hz”                AgsPort *

The peak 28Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-3584hz”` property

      “peak-3584hz”              AgsPort *

The peak 3584Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-448hz”` property

      “peak-448hz”               AgsPort *

The peak 448Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-56hz”` property

      “peak-56hz”                AgsPort *

The peak 56Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-7168hz”` property

      “peak-7168hz”              AgsPort *

The peak 7168Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“peak-896hz”` property

      “peak-896hz”               AgsPort *

The peak 896Hz port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0

### The `“pressure”` property

      “pressure”                 AgsPort *

The pressure port.

Owner: AgsFxEq10Channel

Flags: Read / Write

Since: 3.3.0